Bug 1228432 - [Patch] Fix python3 sipdir
Summary: [Patch] Fix python3 sipdir
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-qt5
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-04 22:45 UTC by Sandro Mani
Modified: 2015-06-25 21:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-25 21:40:22 UTC


Attachments (Terms of Use)
Patch (2.44 KB, application/mbox)
2015-06-04 22:45 UTC, Sandro Mani
no flags Details
Patch (2.44 KB, patch)
2015-06-04 22:46 UTC, Sandro Mani
no flags Details | Diff

Description Sandro Mani 2015-06-04 22:45:39 UTC
Created attachment 1034964 [details]
Patch

Description of problem:
python3-qt5-devel installs the sip files in /usr/share/sip/PyQt5. This seems wrong, since various modules look for sip files in /usr/share/python3-sip, and that directory is also what is returned by sipconfig.Configuration().default_sip_dir.

The attached patch ("git am"-able) fixes this.

Scratch build with the patch here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=9950254

Version-Release number of selected component (if applicable):
python-qt5-5.4.1-3.fc23

Comment 1 Sandro Mani 2015-06-04 22:46:51 UTC
Created attachment 1034965 [details]
Patch

Comment 2 Rex Dieter 2015-06-05 18:28:54 UTC
Thanks, I'll take a look.

Comment 3 Rex Dieter 2015-06-05 18:34:28 UTC
If you have any advice on related bug #1193107 too, I'd love to hear it. :)

Comment 4 Fedora Update System 2015-06-06 14:13:12 UTC
sip-4.16.7-2.fc22,PyQt4-4.11.3-5.fc22,pykde4-4.14.3-5.fc22,python-qt5-5.4.1-5.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/sip-4.16.7-2.fc22,PyQt4-4.11.3-5.fc22,pykde4-4.14.3-5.fc22,python-qt5-5.4.1-5.fc22

Comment 5 Fedora Update System 2015-06-06 14:14:51 UTC
sip-4.16.7-2.fc21,PyQt4-4.11.3-5.fc21,pykde4-4.14.3-5.fc21,python-qt5-5.4.1-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/sip-4.16.7-2.fc21,PyQt4-4.11.3-5.fc21,pykde4-4.14.3-5.fc21,python-qt5-5.4.1-5.fc21

Comment 6 Fedora Update System 2015-06-21 00:17:15 UTC
sip-4.16.7-2.fc22, PyQt4-4.11.3-5.fc22, pykde4-4.14.3-5.fc22, python-qt5-5.4.1-5.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-06-22 10:37:02 UTC
sip-4.16.7-2.fc21, PyQt4-4.11.3-5.fc21, pykde4-4.14.3-5.fc21, python-qt5-5.4.1-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.